sysutils/cfengine: invalid use of USE_BDB

Scot Hetzel swhetzel at gmail.com
Sat Jan 5 12:24:22 PST 2008


I have noticed that sysutils/cfengine is using USE_BDB incorrectly.

USE_BDB?= 46

The USE_BDB variable is not a user setable variable. If someone were
to read this Makefile, they would get the wrong impression that they
should set USE_BDB in there /etc/make.conf, ports.conf, or
portupgrade.conf file.   When they should instead be setting the
WITH_BDB_VER variable.

The USE_BDB should be set to the minimum version of Berkeley DB that
the port will build with.

USE_BDB= 44+

And left up to the person installing the port to specify a higher version.

If you want to take the choice away from the installer and have the
port always use BDB 4.6, then the port should use:

USE_BDB= 46

Which will prevent the use of BDB 4.4 and 4.5 from ever being used by this port.

Scot


More information about the freebsd-ports mailing list